/*
 * Class ARRAYED_LIST [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_513 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_513 [] = {0xFF01,237,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_513 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_513 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_513 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_513 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_513 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_513 [] = {512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_513 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_513 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_24_513 [] = {0xFF01,495,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_513 [] = {0xFF01,496,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_513 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_513 [] = {0xFF01,495,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_513 [] = {0xFF01,501,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_513 [] = {0xFF01,512,185,0xFFFF};
static const EIF_TYPE_INDEX egt_34_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_513 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_513 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_513 [] = {0xFF01,512,185,0xFFFF};


static const struct desc_info desc_513[] = {
	{EIF_GENERIC(NULL), 7806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_513), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_513), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_513), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_513), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_513), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_513), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_513), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_513), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_513), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_513), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_513), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_513), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_513), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_513), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_513), 2362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_513), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2141, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_513), 7811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7816, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4364, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_513), 2355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4659, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7839, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_513), 7812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_513), 4365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7833, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_513), 7811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7823, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_513), 7814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_513), 7815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4350, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_513), 7866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2551, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4354, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7863, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_513), 4970, 0},
	{EIF_GENERIC(NULL), 4971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_513), 4973, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_513), 4974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4977, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_513), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2138, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2140, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2142, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7854, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7856, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_513), 3374, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_513), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4364, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4587, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7865, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_513), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7808, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7809, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_513), 7810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_513), 7819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7855, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7868, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7869, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_513), 7870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7816, 8},
	{EIF_GENERIC(egt_34_513), 7812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_513), 7813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7845, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_513), 7817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7844, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7849, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7851, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7861, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7862, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_513), 7867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7853, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init513(void)
{
	IDSC(desc_513, 0, 512);
	IDSC(desc_513 + 1, 1, 512);
	IDSC(desc_513 + 32, 77, 512);
	IDSC(desc_513 + 41, 103, 512);
	IDSC(desc_513 + 43, 243, 512);
	IDSC(desc_513 + 49, 155, 512);
	IDSC(desc_513 + 58, 256, 512);
	IDSC(desc_513 + 61, 30, 512);
	IDSC(desc_513 + 68, 329, 512);
	IDSC(desc_513 + 82, 294, 512);
	IDSC(desc_513 + 85, 282, 512);
	IDSC(desc_513 + 94, 81, 512);
	IDSC(desc_513 + 103, 35, 512);
	IDSC(desc_513 + 104, 129, 512);
	IDSC(desc_513 + 110, 99, 512);
	IDSC(desc_513 + 112, 229, 512);
	IDSC(desc_513 + 113, 55, 512);
	IDSC(desc_513 + 114, 123, 512);
	IDSC(desc_513 + 116, 38, 512);
	IDSC(desc_513 + 131, 187, 512);
	IDSC(desc_513 + 137, 184, 512);
	IDSC(desc_513 + 140, 50, 512);
	IDSC(desc_513 + 141, 96, 512);
	IDSC(desc_513 + 149, 237, 512);
	IDSC(desc_513 + 151, 172, 512);
}


#ifdef __cplusplus
}
#endif
